package Petal::Application::Util; # random, but useful function collection

use strict;
use warnings;

require Exporter;
use base 'Exporter';
use vars qw(@EXPORT @EXPORT_OK %EXPORT_TAGS);

@EXPORT_OK = qw( sort_by_weight trim );
%EXPORT_TAGS = ( all => [qw(sort_by_weight trim)] );

sub sort_by_weight {
	my (@aoh) = @_;

	return sort {
		die("Invalid use of sort_by_weight") unless ref $a eq 'HASH' and ref $b eq 'HASH';
		($a->{weight} || 0) <=> ($b->{weight} || 0);
	} @aoh;
}

sub trim {
	my ($string) = @_;
	$string ||= '';
	$string =~ s/^\s*(.*?)\s*$/$1/;
	return $string;
}
